/*
 * $Id: ProcessInstancesForm.java,v 1.3 2005/07/18 14:45:59 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * Created on 03.08.2004
 *
 * $Log: ProcessInstancesForm.java,v $
 * Revision 1.3  2005/07/18 14:45:59  marbobo
 * + Datentypen-Anzeigen anzeigen abschaltbar
 *
 * Revision 1.2  2004/09/20 10:26:12  koppy
 * +javadoc Dokumentation
 *
 * Revision 1.1  2004/08/30 14:49:57  koppy
 * Initiale Version der Workflow-Komponente
 *
 */
package vkc.workflow.web;

import vkc.view.WebShare;
import vkc.view.form.DynaForm;

/**
 * This class represents the corresponding 
 * struts form bean used with <code>ProcessInstancesAction</code>
 * @author Andreas Koop
 */
public class ProcessInstancesForm extends DynaForm {
    private String detailId = null;
    private String procId = null;
    private String action = null;
    
    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }
    
    public String getDetailId() {
        return detailId;
    }
    
    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }
    
    public String getProcId() {
        return procId;
    }
    
    public void setProcId(String procId) {
        this.procId = procId;
    }

    public boolean isShowDataTypes() {
        return Integer.parseInt(WebShare.getSysParameterValue("WORKFLOW", "ShowDatatype", "1")) != 0 ? true : false;
    }
}